## tp-task-gemeas 0.12

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install: build installconf-tp-conf-sasl2-cyrus install-tp-conf-ldap-srv


install-tp-conf-ldap-srv:
	install -d debian/tp-conf-ldap-srv/$(SBINDIR)
	install tp-conf-ldap-srv-config debian/tp-conf-ldap-srv/$(SBINDIR)
	install -d debian/tp-conf-ldap-srv/etc/tp-conf-ldap-srv
	install -d debian/tp-conf-ldap-srv/usr/lib/sasl2
	install -m 644 slapd_sasl2.conf debian/tp-conf-ldap-srv/etc/tp-conf-ldap-srv/slapd.conf
	install -d debian/tp-conf-ldap-srv/etc/ldap/sasl2
	install -m 644 slapd_sasl2.conf debian/tp-conf-ldap-srv/etc/ldap/sasl2/slapd.conf
	install -d debian/tp-conf-ldap-srv/etc/init.d
	install -m 644 slapd debian/tp-conf-ldap-srv/etc/init.d/slapd
	ln -s /etc/tp-conf-ldap-srv/slapd.conf debian/tp-conf-ldap-srv/usr/lib/sasl2/slapd.conf 

installconf-%:
	install -d debian/$*/$(SBINDIR)
	install $*-config debian/$*/$(SBINDIR)


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-task-gemeas (0.12) wheezy; urgency=low

  * Updated Makefile and debian/rules to version 0.24.
  * Updated Maintainer name and email.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 17 May 2013 19:40:05 +0100

tp-task-gemeas (0.11) updates; urgency=low

  * Remove /etc/init.d/slapd dpkg-divert on purge.
  * Correct /etc/ldap/sasl2/slapd.conf
  * Update tp-conf-ldap-srv-config to handle /etc/ldap/sasl2/slapd.conf
    and /usr/lib/sals2/slapd.conf

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 28 Apr 2010 23:18:54 +0100

tp-task-gemeas (0.10) updates; urgency=low

  * Support /etc/ldap/sasl2 introduced in slapd in Debian, by installing a
    dummy file.
  * Changed the way /etc/init.d/slapd is updated, using dpkg-divert
    instead of ucf

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 21 Apr 2010 23:20:36 +0100

tp-task-gemeas (0.9) updates; urgency=low

  * Update sals2 depends for MIT Kerberos
  * Give preference for MIT Kerberos over Heimdall implementation

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 21 Apr 2010 21:05:22 +0100

tp-task-gemeas (0.8) updates; urgency=low

  * Check if server certificate don't use broken algorithms.
  * Check if CA Certificates are not Version: 1
  * Recommends openssl and gnutls-bin
  * Makefile updated

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 01 Apr 2010 23:24:04 +0100

tp-task-gemeas (0.7) updates; urgency=low

  * adjusted the times on cron file tp-conf-ldap-srv.cron.d

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 17 Sep 2007 12:34:23 +0100

tp-task-gemeas (0.6) proposed-updates; urgency=low

  * detect if kerberos packages are really installed instead of thinking
    that not purged is equal to installed

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 10 Aug 2007 13:51:56 +0100

tp-task-gemeas (0.5) proposed-updates; urgency=low

  * removed build of package tp-conf-ldap-clt, was moved to source package
    tp-conf-ldap-client

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  7 Aug 2007 20:38:56 +0100

tp-task-gemeas (0.4) proposed-updates; urgency=low

  * crontab entry todo slapdbackup on package tp-conf-ldap-srv
  * added packages for clients of sasl2
  * updated Makefile for etch and for multiple package from one source
  * slapd updated for etch
  * slapd init.d script depends on saslauthd service
  * added depends on db4.2-util to have recover tools for bdb
  * added depends on tp-ca-certificates to have the certificate for IST CA
    or Tagus CA
  * added check if ldap:/// ldaps:/// and ldapi:/// services are activated
  * added depends on ldap-utils for tp-task2-ldap-srv

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  7 Aug 2007 16:04:24 +0100

tp-task-gemeas (0.3) proposed-updates; urgency=low

  * added updated init.d/slapd to tp-conf-ldap-srv
  * added crontab for tp-conf-ldap-srv

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 15 Nov 2006 18:46:46 +0000

tp-task-gemeas (0.2) UNRELEASED; urgency=low

  * added suport for Open LDAP server and configuration
  * corrected depends for libsasls2 gssapi from MIT implementation

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 15 Nov 2006 18:23:26 +0000

tp-task-gemeas (0.1) proposed-updates; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 18 Oct 2006 00:05:52 +0100

=== debian/control ===
Source: tp-task-gemeas
Section: dsi
Priority: extra
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: tp-task2-sasl2-cyrus-clt
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
 tp-task2-sasl2-cyrus-mit | tp-task2-sasl2-cyrus-heimdal 
Description: sasl2 from cyrus to handle autentications for clients
 Install libraries and configurator to enable the client side of the
 sals2 autentications using Kerberos5/GSSAPI.
 .
 This permits to use client software of services that use sasl2 to
 autenticate users.

Package: tp-task2-sasl2-cyrus-srv
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 sasl2-bin,
 tp-task2-sasl2-cyrus-mit | tp-task2-sasl2-cyrus-heimdal 
Description: sasl2 from cyrus to handle autentications for servers
 Install libraries and configurator to enable the server side of the
 sals2 autentications using Kerberos5/GSSAPI
 .
 This permits to enable the sasl2 support on server side, for services
 that want to use that to authenticate users.
 
Package: tp-task2-sasl2-cyrus-heimdal
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
 libsasl2-modules-gssapi-heimdal, 
 heimdal-clients,
 tp-conf-afs-client
Description: sasl2 Kerberos5/GSSAPI using Heimdal implementation
 Seleciona o software e os configuradores para instalar um servidor de
 salsauthd a fazer autenticação GSSAPI ou Kerberos5
 .
 Usa a implementação da Cyrus do SASL2.
 .
 Usa a implementação Heimdal do Kerberos.

Package: tp-task2-sasl2-cyrus-mit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
 libsasl2-modules-gssapi-mit | libsasl2-gssapi-mit, 
 krb5-user,
 tp-conf-afs-client
Description: sasl2 Kerberos5/GSSAPI using MIT implementation
 .
 Seleciona o software e os configuradores para instalar um servidor de
 salsauthd a fazer autenticação GSSAPI ou Kerberos5
 .
 Usa a implementação da Cyrus do SASL2.
 .
 Usa a implementação Heimdal do Kerberos.
 

Package: tp-conf-sasl2-cyrus
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
 tp-conf-afs-client
Description: configura saslauthd da Cyrus para Kerberos5/GSSAPI
 Experimental
 .
 Configura minimamente o saslauthd para o mecanismo kerberos.
 .
 Nao se esqueça de ter o Kerberos bem configurado.
 .

 
Package: tp-task2-ldap-srv
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 slapd, tp-ca-certificates, tp-conf-ldap-client, tp-conf-ldap-srv, 
 db4.2-util, ldap-utils
Description: select ldap server from Open LDAP
 <insert long description, indented with spaces>


Package: tp-conf-ldap-srv
Depends: ${shlibs:Depends}, ${misc:Depends},
 ucf,
 tp-task2-sasl2-cyrus-mit | tp-task2-sasl2-cyrus-heimdal, 
 tp-task2-ldap-srv
Recommends: openssl, gnutls-bin
Architecture: all
Conflicts: slapd (<= 2.4)
Description: configure the ldap server for Taguspark
 Contains a config files and a script to configure the ldap server to
 authenticate users to the kerberos realm.
 .
 Don't forget to configure correctly your Kerberos instalation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
#CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) install 


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
